Linux LMMS-VST for EVERY modern Distro with AppImage

Anything that doesn't fit into other topics goes here!
With AppImage http://appimage.org/ it is possible to make independent Linux Distro executables by packaging the required Dependencies with the Programm.
I made an AppImage for LMMS with VST enabled but you must have a WINE version installed for working VST's. (nothing happens when loading a VST .dll if there is no WINE on your System https://www.winehq.org/ )

Download the AppImage: (with Qt4)
http://www.mediafire.com/download/4kkda ... 4.AppImage ~32 MB

You have to make the .AppImage executable: right-click --> Properties --> and check "make executable" or by command line "chmod a+x LMMS_VST.AppImage". Then run the AppImage - no installation required.
If you already have LMMS installed delete the ~/lmms and ~/.lmmsrc.xml directory/file [or rename them if you want to keep them]

On one Distro i had problems with Qt4 & Qt5 already installed. The AppImage gave me a Qt4 Error message. Use this AppImage for fixing this Problem:(AppImage without Qt4)
http://www.mediafire.com/download/oqlpv ... 4.AppImage ~26 MB

These AppImages should work on all x64 Linux Distros after Ubuntu 14.04.
currently tested on:
Fedora 22 (+VST tested)
ZorinOS 11 Core (+VST tested)
Lubuntu 16.04
Ubuntu 14.04 on 2 different PC's (+VST tested)
Ubuntu 15.04
Kali Linux 2016.1 (this one gave me the Qt Error, but it is a very uncommon Distro for making Music and it is root only)

Please test the AppImage and give me your results.
----------------------------------
EDIT: download revision 02:
with Qt4:
http://www.mediafire.com/download/b9g85 ... 2.AppImage
without Qt4:
http://www.mediafire.com/download/3h4th ... 2.AppImage
A major bug was already found.
The AppImage has conflicts with Jack temporarily - i had no audio on my system until i rebooted it.
Select Pulseaudio as Audio Interface to avoid this Problem. I'll try to fix Jack later.
I can't integrate Jack into the AppImage for now - it requires a lot of testing. In the meantime i made an AppImage without Jack included.
Download revision 02:
http://www.mediafire.com/download/b9g85 ... 2.AppImage
http://www.mediafire.com/download/3h4th ... 2.AppImage
Unfortunately i know -nothing- about linux
But perhaps this
https://github.com/probonopd/AppImageKi ... /README.md
is relevant for you?
musikbear you already know something about Linux - Linux MultiMedia Studio. LMMS was at the beginning Linux only and has been ported to Windows and Mac later.

I already read the README.md from Github. It had some important information.

I'm a Linux enthusiast and for advanced users i highly recommend checking it out.
It has a ton of Open Source Software like Kdenlive, Blender, Openshot, LMMS, Ardour, Gimp, Inkscape, VLC, LibreOffice just to name a few.
-sk1re- wrote:
Mon Jun 13, 2016 6:18 pm
On one Distro i had problems with Qt4 & Qt5 already installed. The AppImage gave me a Qt4 Error message. Use this AppImage for fixing this Problem:(AppImage without Qt4)
I know this is an older thread... but HOW did you build LMMS without Qt4 support at all? Your AppImage loads, but doesn't let me operate a VST (I can't access the controls with my mouse). However, the new AppImage of 1.2.0 let's me load the VST and operate it... but the QT settings look awful on my HD screen (and your old non-QT version looks amazing).

How did you build this without QT? Thanks!
Hi and welcome here!

You may read this post :

https://lmms.io/forum/viewtopic.php?f=7&t=29952

A bientôt!
pastoredb wrote:
Fri Aug 16, 2019 5:47 pm
AppImage of 1.2.0 let's me load the VST but the QT settings look awful on my HD screen
It would be very interesting to know if this

Code: Select all

export QT_AUTO_SCREEN_SCALE_FACTOR=0
Solves the issue you have with scaling
Let us know the outcome :)

Besides that, since you are new in Forum
Welcome pastoredb !
Here are all important links:
http://lmms.io/forum/viewtopic.php?f=1&t=4740
-A few rules and useful forum instructions
Hello!

Incomplete answer ;)

create as root user a file called gnome-qt.sh in the /etc/profile.d directory
In this file juste type this :

export QT_AUTO_SCREEN_SCALE_FACTOR=0

I got this when i started to search about QT displaying bug in ubuntu.

Who is online

In total there are 8 users online :: 0 registered, 0 hidden and 8 guests (based on users active over the past 5 minutes)
Most users ever online was 173 on Fri Apr 19, 2019 11:04 am

Users browsing this forum: No registered users and 8 guests